Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3854 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Hromadná výměna prvku za jiný.

 Odpovědět Odpovědět archiv
Autor
vojtamerka Zobrazit panel
Nováček
Nováček

Přihlášen: 08.srp.2019
Lokalita: ČR (ZL)
Používám:
AutoCad, Inventor
Stav: Offline
Bodů: 2
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace vojtamerka Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Hromadná výměna prvku za jiný.
    Zasláno: 08.srp.2019 v 10:37
Dobrý den, lze v autocadu vyměnit prvek za jiný třeba pomocí Bloků?

Příklad v Inventoru modeluji plech a vkládám tam díru 0,3 mm pro nastřelení šroubu.(kvůli vazbám)

Z inventoru udělám dxf pro pálení na laser ale místo kružnic potřebuji vygravírovat křížek 10x10mm.

Na dílu je někdy i 50 značek. Potřebuji urychlit svojí práci nějakou pomuckou, která najde středy kružnic 0.3 mm a vloží do nich křížek 10x10mm.

Teď křížky kopíruji ručně a přes Rychle vybrat najdu kružnice 0,3mm a vymažu.

Děkuji za ja koukoliv radu.

Vojtěch Měrka.


Zpět nahoru
Sedláček Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 15.dub.2005
Lokalita: Czech Republic
Používám:
AutoCad 2017 LT
Stav: Offline
Bodů: 353
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Sedláček Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 08.srp.2019 v 14:37
Pro náhradu bloků jiným blokem jsem si dělal LISP prográmek:
 
(defun c:b2b () 
    (setvar "cmdecho" 0)
    (prompt "Vyber bloky k záměně")
    (setq vyb (ssget (list '(0 . "INSERT"))))
    (prompt "Vyber nový blok")
    (setq novy (entget (car (entsel))))
    (setq jmeno (cdr (assoc 2 novy)))
    (setq n 0)
    (repeat (sslength vyb)        
       (setq e (entget (ssname vyb n)))
        (setq bl (cdr (assoc -1 e)))
        (setq n (1+ n))           
        (setq e (subst (cons 2 jmeno) (assoc 2 e) e))                 
        (entmod e)                          
        (entupd bl) 
 )
)
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 4375:Jak zaměnit normalizovanou součást v sestavě?
Tip 10530:Mohu editovat BIM projekty z Revit Extensions i v holém Revitu či LT?
Tip 5137:Jaký je rozdíl mezi výkresem a blokem AutoCADu?
Tip 4373:Nefunguje mi instalace z instalačního média ADT 2006 či Inventoru 10.
Tip 7037:Jak nahradit část bloků jiným blokem?
Tip 6573:Jak vyměnit ve vzorovém příčném řezu jednu podsestavu za jinou?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,234 sekund.